# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2021 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2021, Creative Commons
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
from pynfe.xml_sped.base import TagCaracter, TagDataHoraUTC, XMLNFe
from pynfe.nfe.manual_600 import cancnfe as cancnfe_400


class InfCancRecebido(cancnfe_400.InfCancRecebido):
    def __init__(self):
        super(InfCancRecebido, self).__init__()
        self.nProt = TagCaracter(
            nome='nProt', codigo='CR14', tamanho=[15, 15], raiz='//retCancNFe/infCanc',
            obrigatorio=False)
        self.cUF = TagCaracter(
            nome='cUF', codigo='CR14', tamanho=[2, 2], raiz='//retCancNFe/infCanc',
            obrigatorio=False)
        self.dhRecbto = TagDataHoraUTC(
            nome='dhRecbto', codigo='CR10', raiz='//retCancNFe/infCanc', obrigatorio=False)

    @property
    def xml(self):
        xml = XMLNFe.xml.fget(self)
        if self.Id.xml:
            xml += self.Id.xml
        else:
            xml += '<infEvento>'
        xml += self.tpAmb.xml
        xml += self.verAplic.xml
        xml += self.cOrgao.xml
        xml += self.cStat.xml
        xml += self.xMotivo.xml
        xml += self.chNFe.xml
        xml += self.tpEvento.xml
        xml += self.xEvento.xml
        xml += self.CNPJDest.xml
        xml += self.dhRegEvento.xml
        xml += self.nProt.xml
        xml += self.cUF.xml
        xml += self.dhRecbto.xml
        xml += '</infEvento>'

        return xml

    @xml.setter
    def xml(self, arquivo):
        if self._le_xml(arquivo):
            self.Id.xml = arquivo
            self.tpAmb.xml = arquivo
            self.verAplic.xml = arquivo
            self.cOrgao.xml = arquivo
            self.cStat.xml = arquivo
            self.xMotivo.xml = arquivo
            self.chNFe.xml = arquivo
            self.tpEvento.xml = arquivo
            self.xEvento.xml = arquivo
            self.CNPJDest.xml = arquivo
            self.dhRegEvento.xml = arquivo
            self.nProt.xml = arquivo
            self.cUF.xml = arquivo
            self.dhRecbto.xml = arquivo


class RetCancNFe(cancnfe_400.RetCancNFe):
    def __init__(self):
        super(RetCancNFe, self).__init__()
        self.infCanc = InfCancRecebido()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
