# -*- coding: utf-8 -*-

from ..manual_300 import envinfe_110
from pynfe.xml_sped.base import *
from . import ESQUEMA_ATUAL
import os


DIRNAME = os.path.dirname(__file__)


class EnviNFe(envinfe_110.EnviNFe):
    def __init__(self):
        super(EnviNFe, self).__init__()
        self.versao = TagDecimal(nome='enviNFe', codigo='AP02', propriedade='versao', namespace=NAMESPACE_NFE, valor='2.00', raiz='/')
        self.caminho_esquema = os.path.join(DIRNAME, 'schema/', ESQUEMA_ATUAL + '/') 
        self.arquivo_esquema = 'enviNFe_v2.00.xsd'


class InfRec(envinfe_110.InfRec):
    def __init__(self):
        super(InfRec, self).__init__()
        
    @property
    def xml(self):
        if not self.nRec.valor:
            return ''
        
        xml = XMLNFe.xml.fget(self)
        xml += '<infRec>'
        xml += self.nRec.xml
        xml += self.tMed.xml
        xml += '</infRec>'
        return xml
        
    @xml.setter
    def xml(self, arquivo):
        if self._le_xml(arquivo):
            self.nRec.xml = arquivo
            self.tMed.xml = arquivo
       
    

class RetEnviNFe(envinfe_110.RetEnviNFe):
    def __init__(self):
        super(RetEnviNFe, self).__init__()
        self.versao = TagDecimal(nome='retEnviNFe', codigo='AR02', propriedade='versao', namespace=NAMESPACE_NFE, valor='2.00', raiz='/')
        self.dhRecbto = TagDataHora(nome='dhRecbto', codigo='AR09', raiz='//retEnviNFe')
        self.infRec = InfRec()
        self.caminho_esquema = os.path.join(DIRNAME, 'schema/', ESQUEMA_ATUAL + '/') 
        self.arquivo_esquema = 'retEnviNFe_v2.00.xsd'

    @property
    def xml(self):
        xml = XMLNFe.xml.fget(self)
        xml += self.versao.xml
        xml += self.tpAmb.xml
        xml += self.verAplic.xml
        xml += self.cStat.xml
        xml += self.xMotivo.xml
        xml += self.cUF.xml
        xml += self.dhRecbto.xml
        xml += self.infRec.xml
        xml += '</retEnviNFe>'
        return xml
        
    @xml.setter
    def xml(self, arquivo):
        if self._le_xml(arquivo):
            self.versao.xml = arquivo
            self.tpAmb.xml = arquivo
            self.verAplic.xml = arquivo
            self.cStat.xml = arquivo
            self.xMotivo.xml = arquivo
            self.cUF.xml = arquivo
            self.dhRecbto.xml = arquivo
            self.infRec.xml = arquivo
       

