# -*- coding: utf-8 -*-

from .webservices_flags import *
from ...nfe.__init__ import *


METODO_WS = {
    WS_NFE_ENVIO_LOTE: {
        'webservice': 'NfeRecepcao2',
        'metodo': 'nfeRecepcaoLote2',
    },
    WS_NFE_CONSULTA_RECIBO: {
        'webservice': 'NfeRetRecepcao2',
        'metodo': 'nfeRetRecepcao2',
    },
    WS_NFE_CANCELAMENTO: {
        'webservice': 'NfeCancelamento2',
        'metodo': 'nfeCancelamentoNF2',
    },

    WS_NFE_EVENTO: {
        'webservice': 'RecepcaoEvento',
        'metodo': 'nfeRecepcaoEvento',
    },

    WS_NFE_CONSULTA_DESTINATARIO: {
        'webservice': 'NfeConsultaDest',
        'metodo': 'nfeConsultaDest',
    },
    WS_NFE_DOWNLOAD_XML_DESTINATARIO: {
        'webservice': 'NfeDownloadNF',
        'metodo': 'nfeDownloadNF',
    },

    WS_NFE_INUTILIZACAO: {
        'webservice': 'NfeInutilizacao2',
        'metodo': 'nfeInutilizacaoNF2',
    },
    WS_NFE_CONSULTA: {
        'webservice': 'NfeConsulta2',
        'metodo': 'nfeConsultaNF2',
    },
    WS_NFE_SITUACAO: {
        'webservice': 'NfeStatusServico2',
        'metodo': 'nfeStatusServicoNF2',
    },
    WS_NFE_CONSULTA_CADASTRO: {
        'webservice': 'CadConsultaCadastro2',
        'metodo': 'consultaCadastro2',
    }
}

# nfeConsultaNF2
SVRS = {

    NFE_AMBIENTE_PRODUCAO: {
        'servidor': 'nfe.sefazvirtual.rs.gov.br',
        WS_NFE_ENVIO_LOTE: 'ws/nferecepcao/NfeRecepcao2.asmx',
        WS_NFE_CONSULTA_RECIBO: 'ws/nferetrecepcao/NfeRetRecepcao2.asmx',
        WS_NFE_CANCELAMENTO: 'ws/nfecancelamento/NfeCancelamento2.asmx',
        WS_NFE_EVENTO: 'ws/recepcaoevento/recepcaoevento.asmx',
        WS_NFE_CONSULTA_DESTINATARIO: 'ws/nfeConsultaDest/nfeConsultaDest.asmx',
        WS_NFE_INUTILIZACAO: 'ws/nfeinutilizacao/NfeInutilizacao2.asmx',
        WS_NFE_CONSULTA: 'ws/nfeconsulta/NfeConsulta2.asmx',
        WS_NFE_SITUACAO: 'ws/nfestatusservico/NfeStatusServico2.asmx',
        WS_NFE_CONSULTA_CADASTRO: 'ws/CadConsultaCadastro/CadConsultaCadastro2.asmx',
    },

    NFE_AMBIENTE_HOMOLOGACAO: {
        'servidor': 'homologacao.nfe.sefazvirtual.rs.gov.br',
        WS_NFE_ENVIO_LOTE: 'ws/nferecepcao/NfeRecepcao2.asmx',
        WS_NFE_CONSULTA_RECIBO: 'ws/nferetrecepcao/NfeRetRecepcao2.asmx',
        WS_NFE_CANCELAMENTO: 'ws/nfecancelamento/NfeCancelamento2.asmx',
        WS_NFE_EVENTO: 'ws/recepcaoevento/recepcaoevento.asmx',
        WS_NFE_CONSULTA_DESTINATARIO: 'ws/nfeConsultaDest/nfeConsultaDest.asmx',
        WS_NFE_INUTILIZACAO: 'ws/nfeinutilizacao/NfeInutilizacao2.asmx',
        WS_NFE_CONSULTA: 'ws/nfeconsulta/NfeConsulta2.asmx',
        WS_NFE_SITUACAO: 'ws/nfestatusservico/NfeStatusServico2.asmx',
        WS_NFE_CONSULTA_CADASTRO: 'ws/CadConsultaCadastro/CadConsultaCadastro2.asmx',
    }
}
# https://app.sefaz.es.gov.br/ConsultaCadastroService/CadConsultaCadastro2.asmx #espirto santo
SVAN = {
    NFE_AMBIENTE_PRODUCAO: {
        'servidor': 'www.sefazvirtual.fazenda.gov.br',
        WS_NFE_ENVIO_LOTE: 'NfeRecepcao2/NfeRecepcao2.asmx',
        WS_NFE_CONSULTA_RECIBO: 'NFeRetRecepcao2/NFeRetRecepcao2.asmx',
        WS_NFE_CANCELAMENTO: 'NFeCancelamento2/NFeCancelamento2.asmx',
        WS_NFE_EVENTO: 'RecepcaoEvento/RecepcaoEvento.asmx',
        WS_NFE_CONSULTA_DESTINATARIO: 'NFeConsultaDest/NFeConsultaDest.asmx',
        WS_NFE_INUTILIZACAO: 'NFeInutilizacao2/NFeInutilizacao2.asmx',
        WS_NFE_CONSULTA: 'nfeconsulta2/nfeconsulta2.asmx',
        WS_NFE_SITUACAO: 'NFeStatusServico2/NFeStatusServico2.asmx'
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        'servidor': 'hom.nfe.fazenda.gov.br',
        WS_NFE_ENVIO_LOTE: 'NfeRecepcao2/NfeRecepcao2.asmx',
        WS_NFE_CONSULTA_RECIBO: 'NFeRetRecepcao2/NFeRetRecepcao2.asmx',
        WS_NFE_CANCELAMENTO: 'NFeCancelamento2/NFeCancelamento2.asmx',
        WS_NFE_EVENTO: 'RecepcaoEvento/RecepcaoEvento.asmx',
        WS_NFE_CONSULTA_DESTINATARIO: 'NFeConsultaDest/NFeConsultaDest.asmx',
        WS_NFE_DOWNLOAD_XML_DESTINATARIO: 'NfeDownloadNF/NfeDownloadNF.asmx',
        WS_NFE_INUTILIZACAO: 'NFeInutilizacao2/NFeInutilizacao2.asmx',
        WS_NFE_CONSULTA: 'nfeconsulta2/nfeconsulta2.asmx',
        WS_NFE_SITUACAO: 'NFeStatusServico2/NFeStatusServico2.asmx'
    }
}

AN = {
    NFE_AMBIENTE_PRODUCAO: {
        'servidor': 'www.nfe.fazenda.gov.br',
        WS_NFE_EVENTO: 'RecepcaoEvento/RecepcaoEvento.asmx',
        WS_NFE_CONSULTA_DESTINATARIO: 'NFeConsultaDest/NFeConsultaDest.asmx',
        WS_NFE_DOWNLOAD_XML_DESTINATARIO: 'NfeDownloadNF/NfeDownloadNF.asmx'
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        'servidor': 'hom.nfe.fazenda.gov.br',
        WS_NFE_EVENTO: 'RecepcaoEvento/RecepcaoEvento.asmx',
        WS_NFE_CONSULTA_DESTINATARIO: 'NFeConsultaDest/NFeConsultaDest.asmx',
        WS_NFE_DOWNLOAD_XML_DESTINATARIO: 'NfeDownloadNF/NfeDownloadNF.asmx'
    }
}
# Ambiente Nacional - (AN)
# Serviço	Versão	URL
# RecepcaoEvento	2.00	https://www.nfe.fazenda.gov.br/RecepcaoEvento/RecepcaoEvento.asmx
# NfeConsultaDest	2.00	https://www.nfe.fazenda.gov.br/NFeConsultaDest/NFeConsultaDest.asmx
# NfeDownloadNF	2.00	https://www.nfe.fazenda.gov.br/NfeDownloadNF/NfeDownloadNF.asmx
# NfeRecepcao	2.00	https://www.sefazvirtual.fazenda.gov.br/NfeRecepcao2/NfeRecepcao2.asmx
# NfeRetRecepcao	2.00	https://www.sefazvirtual.fazenda.gov.br/NfeRetRecepcao2/NfeRetRecepcao2.asmx
# NfeInutilizacao	2.00	https://www.sefazvirtual.fazenda.gov.br/NfeInutilizacao2/NfeInutilizacao2.asmx
# NfeConsultaProtocolo	2.00	https://www.sefazvirtual.fazenda.gov.br/NfeConsulta2/NfeConsulta2.asmx
# NfeStatusServico	2.00	https://www.sefazvirtual.fazenda.gov.br/NfeStatusServico2/NfeStatusServico2.asmx
# RecepcaoEvento	2.00	https://www.sefazvirtual.fazenda.gov.br/RecepcaoEvento/RecepcaoEvento.asmx
# NfeDownloadNF	2.00	https://www.sefazvirtual.fazenda.gov.br/NfeDownloadNF/NfeDownloadNF.asmx

SCAN = {
    NFE_AMBIENTE_PRODUCAO: {
        'servidor': 'www.scan.fazenda.gov.br',
        WS_NFE_ENVIO_LOTE: 'NfeRecepcao2/NfeRecepcao2.asmx',
        WS_NFE_CONSULTA_RECIBO: 'NfeRetRecepcao2/NfeRetRecepcao2.asmx',
        WS_NFE_CANCELAMENTO: 'NfeCancelamento2/NfeCancelamento2.asmx',
        WS_NFE_EVENTO: 'RecepcaoEvento/RecepcaoEvento.asmx',
        WS_NFE_CONSULTA_DESTINATARIO: 'NFeConsultaDest/NFeConsultaDest.asmx',
        WS_NFE_INUTILIZACAO: 'NfeInutilizacao2/NfeInutilizacao2.asmx',
        WS_NFE_CONSULTA: 'NfeConsulta2/NfeConsulta2.asmx',
        WS_NFE_SITUACAO: 'NfeStatusServico2/NfeStatusServico2.asmx'
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        'servidor': 'hom.nfe.fazenda.gov.br',
        WS_NFE_ENVIO_LOTE: 'SCAN/NfeRecepcao2/NfeRecepcao2.asmx',
        WS_NFE_CONSULTA_RECIBO: 'SCAN/NfeRetRecepcao2/NfeRetRecepcao2.asmx',
        WS_NFE_CANCELAMENTO: 'SCAN/NfeCancelamento2/NfeCancelamento2.asmx',
        WS_NFE_EVENTO: 'SCAN/RecepcaoEvento/RecepcaoEvento.asmx',
        WS_NFE_CONSULTA_DESTINATARIO: 'SCAN/NFeConsultaDest/NFeConsultaDest.asmx',
        WS_NFE_INUTILIZACAO: 'SCAN/NfeInutilizacao2/NfeInutilizacao2.asmx',
        WS_NFE_CONSULTA: 'SCAN/NfeConsulta2/NfeConsulta2.asmx',
        WS_NFE_SITUACAO: 'SCAN/NfeStatusServico2/NfeStatusServico2.asmx'
    }
}

# Sefaz Contingência Ambiente Nacional - (SCAN)
# Serviço	Versão	URL
# NfeRecepcao	2.00	https://www.scan.fazenda.gov.br/NfeRecepcao2/NfeRecepcao2.asmx
# NfeRetRecepcao	2.00	https://www.scan.fazenda.gov.br/NfeRetRecepcao2/NfeRetRecepcao2.asmx
# NfeInutilizacao	2.00	https://www.scan.fazenda.gov.br/NfeInutilizacao2/NfeInutilizacao2.asmx
# NfeConsultaProtocolo	2.00	https://www.scan.fazenda.gov.br/NfeConsulta2/NfeConsulta2.asmx
# NfeStatusServico	2.00	https://www.scan.fazenda.gov.br/NfeStatusServico2/NfeStatusServico2.asmx
# RecepcaoEvento	2.00	https://www.scan.fazenda.gov.br/RecepcaoEvento/RecepcaoEvento.asmx


DPEC = {
    NFE_AMBIENTE_PRODUCAO: {
        'servidor': 'www.nfe.fazenda.gov.br',
        WS_DPEC_CONSULTA: 'SCERecepcaoRFB/SCERecepcaoRFB.asmx',
        WS_DPEC_RECEPCAO: 'SCEConsultaRFB/SCEConsultaRFB.asmx'
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        'servidor': 'hom.nfe.fazenda.gov.br',
        WS_DPEC_CONSULTA: 'SCERecepcaoRFB/SCERecepcaoRFB.asmx',
        WS_DPEC_RECEPCAO: 'SCEConsultaRFB/SCEConsultaRFB.asmx'
    }
}

# UFAM = {
# NFE_AMBIENTE_PRODUCAO: {
# u'servidor'            : u'nfe.sefaz.am.gov.br',
# WS_NFE_ENVIO_LOTE        : u'ws/services/NfeRecepcao',
# WS_NFE_CONSULTA_RECIBO: u'ws/services/NfeRetRecepcao',
# WS_NFE_CANCELAMENTO    : u'ws/services/NfeCancelamento',
# WS_NFE_INUTILIZACAO    : u'ws/services/NfeInutilizacao',
# WS_NFE_CONSULTA        : u'ws/services/NfeConsulta',
# WS_NFE_SITUACAO        : u'ws/services/NfeStatusServico'
# },
# NFE_AMBIENTE_HOMOLOGACAO: {
# u'servidor'            : u'homnfe.sefaz.am.gov.br',
# WS_NFE_ENVIO_LOTE        : u'ws/services/NfeRecepcao',
# WS_NFE_CONSULTA_RECIBO: u'ws/services/NfeRetRecepcao',
# WS_NFE_CANCELAMENTO    : u'ws/services/NfeCancelamento',
# WS_NFE_INUTILIZACAO    : u'ws/services/NfeInutilizacao',
# WS_NFE_CONSULTA        : u'ws/services/NfeConsulta',
# WS_NFE_SITUACAO        : u'ws/services/NfeStatusServico'
# }
# }

UFAM = {
    # NfeConsultaCadastro	2.00	https://nfe.sefaz.am.gov.br/services2/services/cadconsultacadastro2
    NFE_AMBIENTE_PRODUCAO: {
        'servidor': 'nfe.sefaz.am.gov.br',
        WS_NFE_ENVIO_LOTE: 'services2/services/NfeRecepcao2',
        WS_NFE_CONSULTA_RECIBO: 'services2/services/NfeRetRecepcao2',
        WS_NFE_CANCELAMENTO: 'services2/services/NfeCancelamento2',
        WS_NFE_INUTILIZACAO: 'services2/services/NfeInutilizacao2',
        WS_NFE_CONSULTA: 'services2/services/NfeConsulta2',
        WS_NFE_SITUACAO: 'services2/services/NfeStatusServico2',
        WS_NFE_CONSULTA_CADASTRO: 'services2/services/cadconsultacadastro2',
        #        WS_NFE_RECEPCAO_EVENTO  : 'services2/services/RecepcaoEvento',
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        'servidor': 'homnfe.sefaz.am.gov.br',
        WS_NFE_ENVIO_LOTE: 'services2/services/NfeRecepcao2',
        WS_NFE_CONSULTA_RECIBO: 'services2/services/NfeRetRecepcao2',
        WS_NFE_CANCELAMENTO: 'services2/services/NfeCancelamento2',
        WS_NFE_INUTILIZACAO: 'services2/services/NfeInutilizacao2',
        WS_NFE_CONSULTA: 'services2/services/NfeConsulta2',
        WS_NFE_SITUACAO: 'services2/services/NfeStatusServico2',
        WS_NFE_CONSULTA_CADASTRO: 'services2/services/cadconsultacadastro2',
        #        WS_NFE_RECEPCAO_EVENTO  : 'services2/services/RecepcaoEvento',
    }
}

UFBA = {
    NFE_AMBIENTE_PRODUCAO: {
        'servidor': 'nfe.sefaz.ba.gov.br',
        WS_NFE_ENVIO_LOTE: 'webservices/nfenw/NfeRecepcao2.asmx',
        WS_NFE_CONSULTA_RECIBO: 'webservices/nfenw/NfeRetRecepcao2.asmx',
        WS_NFE_CANCELAMENTO: 'webservices/nfenw/NfeCancelamento2.asmx',
        WS_NFE_EVENTO: 'webservices/sre/RecepcaoEvento.asmx',
        WS_NFE_INUTILIZACAO: 'webservices/nfenw/NfeInutilizacao2.asmx',
        WS_NFE_CONSULTA: 'webservices/nfenw/NfeConsulta2.asmx',
        WS_NFE_SITUACAO: 'webservices/nfenw/NfeStatusServico2.asmx',
        WS_NFE_CONSULTA_CADASTRO: 'webservices/nfenw/CadConsultaCadastro2.asmx',
        #        WS_NFE_RECEPCAO_EVENTO  : 'webservices/sre/RecepcaoEvento.asmx',
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        'servidor': 'hnfe.sefaz.ba.gov.br',
        WS_NFE_ENVIO_LOTE: 'webservices/nfenw/NfeRecepcao2.asmx',
        WS_NFE_CONSULTA_RECIBO: 'webservices/nfenw/NfeRetRecepcao2.asmx',
        WS_NFE_CANCELAMENTO: 'webservices/nfenw/NfeCancelamento2.asmx',
        WS_NFE_EVENTO: 'webservices/sre/RecepcaoEvento.asmx',
        WS_NFE_INUTILIZACAO: 'webservices/nfenw/NfeInutilizacao2.asmx',
        WS_NFE_CONSULTA: 'webservices/nfenw/NfeConsulta2.asmx',
        WS_NFE_SITUACAO: 'webservices/nfenw/NfeStatusServico2.asmx'
    }
}

# UFCE = {
#     NFE_AMBIENTE_PRODUCAO: {
#         'servidor': 'nfe.sefaz.ce.gov.br',
#         WS_NFE_ENVIO_LOTE: 'nfe2/services/NfeRecepcao2',
#         WS_NFE_CONSULTA_RECIBO: 'nfe2/services/NfeRetRecepcao2',
#         WS_NFE_CANCELAMENTO: 'nfe2/services/NfeCancelamento2',
#         WS_NFE_INUTILIZACAO: 'nfe2/services/NfeInutilizacao2',
#         WS_NFE_CONSULTA: 'nfe2/services/NfeConsulta2',
#         WS_NFE_SITUACAO: 'nfe2/services/NfeStatusServico2',
#         WS_NFE_CONSULTA_CADASTRO: 'nfe2/services/CadConsultaCadastro2',
#         #        WS_NFE_RECEPCAO_EVENTO  : 'nfe2/services/RecepcaoEvento',
#     },
#     NFE_AMBIENTE_HOMOLOGACAO: {
#         'servidor': 'nfeh.sefaz.ce.gov.br',
#         WS_NFE_ENVIO_LOTE: 'nfe2/services/NfeRecepcao2',
#         WS_NFE_CONSULTA_RECIBO: 'nfe2/services/NfeRetRecepcao2',
#         WS_NFE_CANCELAMENTO: 'nfe2/services/NfeCancelamento2',
#         WS_NFE_INUTILIZACAO: 'nfe2/services/NfeInutilizacao2',
#         WS_NFE_CONSULTA: 'nfe2/services/NfeConsulta2',
#         WS_NFE_SITUACAO: 'nfe2/services/NfeStatusServico2',
#         WS_NFE_CONSULTA_CADASTRO: 'nfe2/services/CadConsultaCadastro2',
#         #        WS_NFE_RECEPCAO_EVENTO  : 'nfe2/services/RecepcaoEvento',
#     }
# }

# UFDF = {
# NFE_AMBIENTE_PRODUCAO: {
# u'servidor'             : u'dec.fazenda.df.gov.br',
# WS_NFE_ENVIO_LOTE         : u'nfe/ServiceRecepcao.asmx',
# WS_NFE_CONSULTA_RECIBO : u'nfe/ServiceRetRecepcao.asmx',
# WS_NFE_CANCELAMENTO     : u'nfe/ServiceCancelamento.asmx',
# WS_NFE_INUTILIZACAO     : u'nfe/ServiceInutilizacao.asmx',
# WS_NFE_CONSULTA         : u'nfe/ServiceConsulta.asmx',
# WS_NFE_SITUACAO         : u'nfe/ServiceStatus.asmx',
# WS_NFE_CONSULTA_CADASTRO: u'nfe/ServiceConsultaCadastro.asmx',
# },
# NFE_AMBIENTE_HOMOLOGACAO: {
# u'servidor'             : u'homolog.nfe.fazenda.df.gov.br',
# WS_NFE_ENVIO_LOTE         : u'nfe/ServiceRecepcao.asmx',
# WS_NFE_CONSULTA_RECIBO : u'nfe/ServiceRetRecepcao.asmx',
# WS_NFE_CANCELAMENTO     : u'nfe/ServiceCancelamento.asmx',
# WS_NFE_INUTILIZACAO     : u'nfe/ServiceInutilizacao.asmx',
# WS_NFE_CONSULTA         : u'nfe/ServiceConsulta.asmx',
# WS_NFE_SITUACAO         : u'nfe/ServiceStatus.asmx',
# WS_NFE_CONSULTA_CADASTRO: u'nfe/ServiceConsultaCadastro.asmx'
# }
# }

UFGO = {
    NFE_AMBIENTE_PRODUCAO: {
        'servidor': 'nfe.sefaz.go.gov.br',
        WS_NFE_ENVIO_LOTE: 'nfe/services/v2/NfeRecepcao2',
        WS_NFE_CONSULTA_RECIBO: 'nfe/services/v2/NfeRetRecepcao2',
        WS_NFE_CANCELAMENTO: 'nfe/services/v2/NfeCancelamento2',
        WS_NFE_EVENTO: 'nfe/services/v2/RecepcaoEvento',
        WS_NFE_INUTILIZACAO: 'nfe/services/v2/NfeInutilizacao2',
        WS_NFE_CONSULTA: 'nfe/services/v2/NfeConsulta2',
        WS_NFE_SITUACAO: 'nfe/services/v2/NfeStatusServico2',
        WS_NFE_CONSULTA_CADASTRO: 'nfe/services/v2/CadConsultaCadastro2?wsdl',
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        'servidor': 'homolog.sefaz.go.gov.br',
        WS_NFE_ENVIO_LOTE: 'nfe/services/v2/NfeRecepcao2',
        WS_NFE_CONSULTA_RECIBO: 'nfe/services/v2/NfeRetRecepcao2',
        WS_NFE_CANCELAMENTO: 'nfe/services/v2/NfeCancelamento2',
        WS_NFE_EVENTO: 'nfe/services/v2/RecepcaoEvento',
        WS_NFE_INUTILIZACAO: 'nfe/services/v2/NfeInutilizacao2',
        WS_NFE_CONSULTA: 'nfe/services/v2/NfeConsulta2',
        WS_NFE_SITUACAO: 'nfe/services/v2/NfeStatusServico2',
    }
}

UFMT = {
    NFE_AMBIENTE_PRODUCAO: {
        'servidor': 'nfe.sefaz.mt.gov.br',
        WS_NFE_ENVIO_LOTE: 'nfews/v2/services/NfeRecepcao2',
        WS_NFE_CONSULTA_RECIBO: 'nfews/v2/services/NfeRetRecepcao2',
        WS_NFE_CANCELAMENTO: 'nfews/v2/services/NfeCancelamento2',
        WS_NFE_EVENTO: 'nfews/v2/services/RecepcaoEvento',
        WS_NFE_INUTILIZACAO: 'nfews/v2/services/NfeInutilizacao2',
        WS_NFE_CONSULTA: 'nfews/v2/services/NfeConsulta2',
        WS_NFE_SITUACAO: 'nfews/v2/services/NfeStatusServico2',
        WS_NFE_CONSULTA_CADASTRO: 'nfews/v2/services/CadConsultaCadastro2?wsdl'
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        'servidor': 'homologacao.sefaz.mt.gov.br',
        WS_NFE_ENVIO_LOTE: 'nfews/v2/services/NfeRecepcao2',
        WS_NFE_CONSULTA_RECIBO: 'nfews/v2/services/NfeRetRecepcao2',
        WS_NFE_CANCELAMENTO: 'nfews/v2/services/NfeCancelamento2',
        WS_NFE_EVENTO: 'nfews/v2/services/RecepcaoEvento',
        WS_NFE_INUTILIZACAO: 'nfews/v2/services/NfeInutilizacao2',
        WS_NFE_CONSULTA: 'nfews/v2/services/NfeConsulta2',
        WS_NFE_SITUACAO: 'nfews/v2/services/NfeStatusServico2',
        # WS_NFE_CONSULTA_CADASTRO: u'nfews/CadConsultaCadastro'
    }
}

UFMS = {
    NFE_AMBIENTE_PRODUCAO: {
        'servidor': 'nfe.fazenda.ms.gov.br',
        WS_NFE_ENVIO_LOTE: 'producao/services2/NfeRecepcao2',
        WS_NFE_CONSULTA_RECIBO: 'producao/services2/NfeRetRecepcao2',
        WS_NFE_CANCELAMENTO: 'producao/services2/NfeCancelamento2',
        WS_NFE_INUTILIZACAO: 'producao/services2/NfeInutilizacao2',
        WS_NFE_CONSULTA: 'producao/services2/NfeConsulta2',
        WS_NFE_SITUACAO: 'producao/services2/NfeStatusServico2',
        WS_NFE_CONSULTA_CADASTRO: 'producao/services2/CadConsultaCadastro2',
        #        WS_NFE_RECEPCAO_EVENTO  : 'producao/services2/RecepcaoEvento',
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        'servidor': 'homologacao.nfe.ms.gov.br',
        WS_NFE_ENVIO_LOTE: 'homologacao/services2/NfeRecepcao2',
        WS_NFE_CONSULTA_RECIBO: 'homologacao/services2/NfeRetRecepcao2',
        WS_NFE_CANCELAMENTO: 'homologacao/services2/NfeCancelamento2',
        WS_NFE_INUTILIZACAO: 'homologacao/services2/NfeInutilizacao2',
        WS_NFE_CONSULTA: 'homologacao/services2/NfeConsulta2',
        WS_NFE_SITUACAO: 'homologacao/services2/NfeStatusServico2',
        WS_NFE_CONSULTA_CADASTRO: 'homologacao/services2/CadConsultaCadastro2',
        #        WS_NFE_RECEPCAO_EVENTO  : 'homologacao/services2/RecepcaoEvento',
    }
}

UFMG = {
    NFE_AMBIENTE_PRODUCAO: {
        'servidor': 'nfe.fazenda.mg.gov.br',
        WS_NFE_ENVIO_LOTE: 'nfe2/services/NfeRecepcao2',
        WS_NFE_CONSULTA_RECIBO: 'nfe2/services/NfeRetRecepcao2',
        WS_NFE_CANCELAMENTO: 'nfe2/services/NfeCancelamento2',
        WS_NFE_EVENTO: 'nfe2/services/RecepcaoEvento',
        WS_NFE_CONSULTA_DESTINATARIO: 'nfe2/services/nfeConsultaDest/nfeConsultaDest.asmx',
        WS_NFE_DOWNLOAD_XML_DESTINATARIO: 'nfe2/services/nfeDownloadNF/nfeDownloadNF.asmx',
        WS_NFE_INUTILIZACAO: 'nfe2/services/NfeInutilizacao2',
        WS_NFE_CONSULTA: 'nfe2/services/NfeConsulta2',
        WS_NFE_SITUACAO: 'nfe2/services/NfeStatus2',
        WS_NFE_CONSULTA_CADASTRO: 'nfe2/services/cadconsultacadastro2',
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        'servidor': 'hnfe.fazenda.mg.gov.br',
        WS_NFE_ENVIO_LOTE: 'nfe2/services/NfeRecepcao2',
        WS_NFE_CONSULTA_RECIBO: 'nfe2/services/NfeRetRecepcao2',
        WS_NFE_CANCELAMENTO: 'nfe2/services/NfeCancelamento2',
        WS_NFE_EVENTO: 'nfe2/services/RecepcaoEvento',
        WS_NFE_CONSULTA_DESTINATARIO: 'nfe2/services/RecepcaoEvento',
        WS_NFE_DOWNLOAD_XML_DESTINATARIO: 'nfe2/services/nfeDownloadNF/nfeDownloadNF.asmx',
        WS_NFE_INUTILIZACAO: 'nfe2/services/NfeInutilizacao2',
        WS_NFE_CONSULTA: 'nfe2/services/NfeConsulta2',
        WS_NFE_SITUACAO: 'nfe2/services/NfeStatus2',
        WS_NFE_CONSULTA_CADASTRO: 'nfe2/services/cadconsultacadastro2',
    }
}

UFPR = {
    NFE_AMBIENTE_PRODUCAO: {
        'servidor': 'nfe2.fazenda.pr.gov.br',
        WS_NFE_ENVIO_LOTE: 'nfe/NFeRecepcao2',
        WS_NFE_CONSULTA_RECIBO: 'nfe/NFeRetRecepcao2',
        WS_NFE_CANCELAMENTO: 'nfe/NFeCancelamento2',
        WS_NFE_INUTILIZACAO: 'nfe/NFeInutilizacao2',
        WS_NFE_CONSULTA: 'nfe/NFeConsulta2',
        WS_NFE_SITUACAO: 'nfe/NFeStatusServico2',
        WS_NFE_CONSULTA_CADASTRO: 'nfe/CadConsultaCadastro2?wsdl',
        #        WS_NFE_RECEPCAO_EVENTO  : 'nfe-evento/NFeRecepcaoEvento',
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        'servidor': 'homologacao.nfe2.fazenda.pr.gov.br',
        WS_NFE_ENVIO_LOTE: 'nfe/NFeRecepcao2',
        WS_NFE_CONSULTA_RECIBO: 'nfe/NFeRetRecepcao2',
        WS_NFE_CANCELAMENTO: 'nfe/NFeCancelamento2',
        WS_NFE_INUTILIZACAO: 'nfe/NFeInutilizacao2',
        WS_NFE_CONSULTA: 'nfe/NFeConsulta2',
        WS_NFE_SITUACAO: 'nfe/NFeStatusServico2'
    }
}

UFPE = {
    NFE_AMBIENTE_PRODUCAO: {
        'servidor': 'nfe.sefaz.pe.gov.br',
        WS_NFE_ENVIO_LOTE: 'nfe-service/services/NfeRecepcao2',
        WS_NFE_CONSULTA_RECIBO: 'nfe-service/services/NfeRetRecepcao2',
        WS_NFE_CANCELAMENTO: 'nfe-service/services/NfeCancelamento2',
        WS_NFE_INUTILIZACAO: 'nfe-service/services/NfeInutilizacao2',
        WS_NFE_CONSULTA: 'nfe-service/services/NfeConsulta2',
        WS_NFE_SITUACAO: 'nfe-service/services/NfeStatusServico2',
        WS_NFE_CONSULTA_CADASTRO: 'nfe-service/services/CadConsultaCadastro2',
        #        WS_NFE_RECEPCAO_EVENTO  : 'nfe-service/services/RecepcaoEvento',
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        'servidor': 'nfehomolog.sefaz.pe.gov.br',
        WS_NFE_ENVIO_LOTE: 'nfe-service/services/NfeRecepcao2',
        WS_NFE_CONSULTA_RECIBO: 'nfe-service/services/NfeRetRecepcao2',
        WS_NFE_CANCELAMENTO: 'nfe-service/services/NfeCancelamento2',
        WS_NFE_INUTILIZACAO: 'nfe-service/services/NfeInutilizacao2',
        WS_NFE_CONSULTA: 'nfe-service/services/NfeConsulta2',
        WS_NFE_SITUACAO: 'nfe-service/services/NfeStatusServico2',
        WS_NFE_CONSULTA_CADASTRO: 'nfe-service/services/CadConsultaCadastro2',
        #        WS_NFE_RECEPCAO_EVENTO  : 'nfe-service/services/RecepcaoEvento',
    }
}
# https://sef.sefaz.rs.gov.br/ws/cadconsultacadastro/cadconsultacadastro2.asmx

UFRS = {
    NFE_AMBIENTE_PRODUCAO: {
        'servidor': 'nfe.sefaz.rs.gov.br',
        WS_NFE_ENVIO_LOTE: 'ws/Nferecepcao/NfeRecepcao2.asmx',
        WS_NFE_CONSULTA_RECIBO: 'ws/NfeRetRecepcao/NfeRetRecepcao2.asmx',
        WS_NFE_CANCELAMENTO: 'ws/NfeCancelamento/NfeCancelamento2.asmx',
        WS_NFE_INUTILIZACAO: 'ws/nfeinutilizacao/nfeinutilizacao2.asmx',
        WS_NFE_CONSULTA: 'ws/NfeConsulta/NfeConsulta2.asmx',
        WS_NFE_SITUACAO: 'ws/NfeStatusServico/NfeStatusServico2.asmx',
        WS_NFE_CONSULTA_CADASTRO: 'ws/cadconsultacadastro/cadconsultacadastro2.asmx',
        #        WS_NFE_RECEPCAO_EVENTO  : 'ws/recepcaoevento/recepcaoevento.asmx',
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        'servidor': 'homologacao.nfe.sefaz.rs.gov.br',
        WS_NFE_ENVIO_LOTE: 'ws/Nferecepcao/NfeRecepcao2.asmx',
        WS_NFE_CONSULTA_RECIBO: 'ws/NfeRetRecepcao/NfeRetRecepcao2.asmx',
        WS_NFE_CANCELAMENTO: 'ws/NfeCancelamento/NfeCancelamento2.asmx',
        WS_NFE_INUTILIZACAO: 'ws/nfeinutilizacao/nfeinutilizacao2.asmx',
        WS_NFE_CONSULTA: 'ws/NfeConsulta/NfeConsulta2.asmx',
        WS_NFE_SITUACAO: 'ws/NfeStatusServico/NfeStatusServico2.asmx',
        WS_NFE_CONSULTA_CADASTRO: 'ws/cadconsultacadastro/cadconsultacadastro2.asmx',
        #        WS_NFE_RECEPCAO_EVENTO  : 'ws/recepcaoevento/recepcaoevento.asmx',
    }
}

# UFRO = {
# NFE_AMBIENTE_PRODUCAO: {
# u'servidor'             : u'ws.nfe.sefin.ro.gov.br',
# WS_NFE_ENVIO_LOTE         : SVRS[NFE_AMBIENTE_PRODUCAO][WS_NFE_ENVIO_LOTE],
# WS_NFE_CONSULTA_RECIBO : SVRS[NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_RECIBO],
# WS_NFE_CANCELAMENTO     : u'wsprod/NfeCancelamento',
# WS_NFE_INUTILIZACAO     : SVRS[NFE_AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO],
# WS_NFE_CONSULTA         : u'wsprod/NfeConsulta',
# WS_NFE_SITUACAO         : u'wsprod/NfeStatusServico',
# WS_NFE_CONSULTA_CADASTRO: u'wsprod/CadConsultaCadastro'
# },
# NFE_AMBIENTE_HOMOLOGACAO: {
# u'servidor'             : u'ws.nfe.sefin.ro.gov.br',
# WS_NFE_ENVIO_LOTE         : SVRS[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_ENVIO_LOTE],
# WS_NFE_CONSULTA_RECIBO : SVRS[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_RECIBO],
# WS_NFE_CANCELAMENTO     : u'ws/NfeCancelamento',
# WS_NFE_INUTILIZACAO     : SVRS[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO],
# WS_NFE_CONSULTA         : u'ws/NfeConsulta',
# WS_NFE_SITUACAO         : u'ws/NfeStatusServico',
# WS_NFE_CONSULTA_CADASTRO: u'ws/CadConsultaCadastro'
# }
# }

UFSP = {
    NFE_AMBIENTE_PRODUCAO: {
        'servidor': 'nfe.fazenda.sp.gov.br',
        WS_NFE_ENVIO_LOTE: 'nfeweb/services/nferecepcao2.asmx',
        WS_NFE_CONSULTA_RECIBO: 'nfeweb/services/nferetrecepcao2.asmx',
        WS_NFE_CANCELAMENTO: 'nfeweb/services/nfecancelamento2.asmx',
        WS_NFE_INUTILIZACAO: 'nfeweb/services/nfeinutilizacao2.asmx',
        WS_NFE_CONSULTA: 'nfeweb/services/nfeconsulta2.asmx',
        WS_NFE_SITUACAO: 'nfeweb/services/nfestatusservico2.asmx',
        WS_NFE_CONSULTA_CADASTRO: 'nfeweb/services/cadconsultacadastro2.asmx',
        #        WS_NFE_RECEPCAO_EVENTO  : 'eventosWEB/services/RecepcaoEvento.asmx',
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        'servidor': 'homologacao.nfe.fazenda.sp.gov.br',
        WS_NFE_ENVIO_LOTE: 'nfeweb/services/nferecepcao2.asmx',
        WS_NFE_CONSULTA_RECIBO: 'nfeweb/services/nferetrecepcao2.asmx',
        WS_NFE_CANCELAMENTO: 'nfeweb/services/nfecancelamento2.asmx',
        WS_NFE_INUTILIZACAO: 'nfeweb/services/nfeinutilizacao2.asmx',
        WS_NFE_CONSULTA: 'nfeweb/services/nfeconsulta2.asmx',
        WS_NFE_SITUACAO: 'nfeweb/services/nfestatusservico2.asmx',
        WS_NFE_CONSULTA_CADASTRO: 'nfeweb/services/cadconsultacadastro2.asmx'
    }
}

'''
Producao
Sefaz Virtual de Contingência Ambiente Nacional - (SVC-AN)
Data: 10-09-2014
RecepcaoEvento	1.00	https://www.svc.fazenda.gov.br/RecepcaoEvento/RecepcaoEvento.asmx
NfeRecepcao	2.00	https://www.svc.fazenda.gov.br/NfeRecepcao2/NfeRecepcao2.asmx
NfeRetRecepcao	2.00	https://www.svc.fazenda.gov.br/NfeRetRecepcao2/NfeRetRecepcao2.asmx
NfeConsultaProtocolo	2.00 / 3.10	https://www.svc.fazenda.gov.br/NfeConsulta2/NfeConsulta2.asmx
NfeStatusServico	2.00 / 3.10	https://www.svc.fazenda.gov.br/NfeStatusServico2/NfeStatusServico2.asmx
NFeAutorizacao	3.10	https://www.svc.fazenda.gov.br/NfeAutorizacao/NfeAutorizacao.asmx
NFeRetAutorizacao	3.10	https://www.svc.fazenda.gov.br/NfeRetAutorizacao/NfeRetAutorizacao.asmx

Homologacao
SVC-AN
• https://hom.svc.fazenda.gov.br/NfeRecepcao2/NfeRecepcao2.asmx
• https://hom.svc.fazenda.gov.br/NfeRetRecepcao2/NfeRetRecepcao2.asmx
• https://hom.svc.fazenda.gov.br/NfeInutilizacao2/NfeInutilizacao2.asmx
• https://hom.svc.fazenda.gov.br/NfeConsulta2/NfeConsulta2.asmx
• https://hom.svc.fazenda.gov.br/NfeStatusServico2/NfeStatusServico2.asmx
• https://hom.svc.fazenda.gov.br/RecepcaoEvento/RecepcaoEvento.asmx
'''

SVC_AN = {
    NFE_AMBIENTE_PRODUCAO: {
        'servidor': 'www.svc.fazenda.gov.br',
        WS_NFE_ENVIO_LOTE: 'NfeRecepcao2/NfeRecepcao2.asmx',
        WS_NFE_CONSULTA_RECIBO: 'NfeRetRecepcao2/NfeRetRecepcao2.asmx',
        WS_NFE_CANCELAMENTO: 'NfeCancelamento2/NfeCancelamento2.asmx',
        WS_NFE_EVENTO: 'RecepcaoEvento/RecepcaoEvento.asmx',
        WS_NFE_INUTILIZACAO: 'NFeInutilizacao2/NFeInutilizacao2.asmx',
        WS_NFE_CONSULTA: 'NfeConsulta2/NfeConsulta2.asmx',
        WS_NFE_SITUACAO: 'NFeStatusServico2/NFeStatusServico2.asmx'
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        'servidor': 'hom.svc.fazenda.gov.br',
        WS_NFE_ENVIO_LOTE: 'NfeRecepcao2/NfeRecepcao2.asmx',
        WS_NFE_CONSULTA_RECIBO: 'NfeRetRecepcao2/NfeRetRecepcao2.asmx',
        WS_NFE_CANCELAMENTO: 'NfeCancelamento2/NfeCancelamento2.asmx',
        WS_NFE_EVENTO: 'RecepcaoEvento/RecepcaoEvento.asmx',
        WS_NFE_INUTILIZACAO: 'NfeInutilizacao2/NfeInutilizacao2.asmx',
        WS_NFE_CONSULTA: 'NfeConsulta2/NfeConsulta2.asmx',
        WS_NFE_SITUACAO: 'NfeStatusServico2/NfeStatusServico2.asmx'
    }
}

'''
Producao

Sefaz Virtual de Contingência Rio Grande do Sul - (SVC-RS)
Data: 10-09-2014
RecepcaoEvento	1.00	https://nfe.sefazvirtual.rs.gov.br/ws/recepcaoevento/recepcaoevento.asmx
NfeRecepcao	2.00	https://nfe.sefazvirtual.rs.gov.br/ws/Nferecepcao/NFeRecepcao2.asmx
NfeRetRecepcao	2.00	https://nfe.sefazvirtual.rs.gov.br/ws/NfeRetRecepcao/NfeRetRecepcao2.asmx
NfeConsultaProtocolo	2.00 / 3.10	https://nfe.sefazvirtual.rs.gov.br/ws/NfeConsulta/NfeConsulta2.asmx
NfeStatusServico	2.00 / 3.10	https://nfe.sefazvirtual.rs.gov.br/ws/NfeStatusServico/NfeStatusServico2.asmx
NFeAutorizacao	3.10	https://nfe.sefazvirtual.rs.gov.br/ws/NfeAutorizacao/NFeAutorizacao.asmx
NFeRetAutorizacao	3.10	https://nfe.sefazvirtual.rs.gov.br/ws/NfeRetAutorizacao/NFeRetAutorizacao.asmx

Homologacao
SVC-RS (mesmos endereços da SVRS)
• https://homologacao.nfe.sefazvirtual.rs.gov.br/ws/Nferecepcao/NFeRecepcao2.asmx
• https://homologacao.nfe.sefazvirtual.rs.gov.br/ws/NfeRetRecepcao/NfeRetRecepcao2.asmx
• https://homologacao.nfe.sefaz.rs.gov.br/ws/recepcaoevento/recepcaoevento.asmx
• https://homologacao.nfe.sefazvirtual.rs.gov.br/ws/NfeConsulta/NfeConsulta2.asmx
• https://homologacao.nfe.sefazvirtual.rs.gov.br/ws/NfeStatusServico/NfeStatusServico2.asmx
'''

SVC_RS = {
    NFE_AMBIENTE_PRODUCAO: {
        'servidor': 'nfe.sefazvirtual.rs.gov.br',
        WS_NFE_ENVIO_LOTE: 'ws/Nferecepcao/NFeRecepcao2.asmx',
        WS_NFE_CONSULTA_RECIBO: 'ws/NfeRetRecepcao/NfeRetRecepcao2.asmx',
        WS_NFE_EVENTO: 'ws/recepcaoevento/recepcaoevento.asmx',
        WS_NFE_CONSULTA: 'ws/NfeConsulta/NfeConsulta2.asmx',
        WS_NFE_SITUACAO: 'ws/NfeStatusServico/NfeStatusServico2.asmx'
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        'servidor': 'homologacao.nfe.sefazvirtual.rs.gov.br',
        WS_NFE_ENVIO_LOTE: 'ws/Nferecepcao/NFeRecepcao2.asmx',
        WS_NFE_CONSULTA_RECIBO: 'ws/NfeRetRecepcao/NfeRetRecepcao2.asmx',
        WS_NFE_EVENTO: 'ws/recepcaoevento/recepcaoevento.asmx',
        WS_NFE_CONSULTA: 'ws/NfeConsulta/NfeConsulta2.asmx',
        WS_NFE_SITUACAO: 'ws/NfeStatusServico/NfeStatusServico2.asmx'
    }
}

# Informação obtida em
# http://www.nfe.fazenda.gov.br/portal/webservices.aspx
# Última verificação: 04/09/2023 16:30:14

# UF que utilizam a SVAN - Sefaz Virtual do Ambiente Nacional: MA
# UF que utilizam a SVRS - Sefaz Virtual do RS:
# - Para serviço de Consulta Cadastro: AC, ES, RN, PB, SC
# - Para demais serviços relacionados com o sistema da NF-e: AC, AL, AP, CE, DF, ES, PA, PB, PI, RJ, RN, RO, RR, SC, SE, TO

# Autorizadores em contingência:
# - UF que utilizam a SVC-AN - Sefaz Virtual de Contingência Ambiente Nacional: AC, AL, AP, CE, DF, ES, MG, PA, PB, PI, RJ, RN, RO, RR, RS, SC, SE, SP, TO
# - UF que utilizam a SVC-RS - Sefaz Virtual de Contingência Rio Grande do Sul: AM, BA, GO, MA, MS, MT, PE, PR
# Autorizadores: AM BA GO MG MS MT PE PR RS SP SVAN SVRS SVC-AN SVC-RS AN

ESTADO_WS = {
    'AC': SVRS,
    'AL': SVRS,
    'AM': UFAM,
    'AP': SVRS,
    'BA': UFBA,
    'CE': SVRS,
    'DF': SVRS,
    'ES': SVRS,
    'GO': UFGO,
    'MA': SVAN,
    'MG': UFMG,
    'MS': UFMS,
    'MT': UFMT,
    'PA': SVRS,
    'PB': SVRS,
    'PE': UFPE,
    'PI': SVRS,
    'PR': UFPR,
    'RJ': SVRS,
    'RN': SVRS,
    'RO': SVRS,
    'RR': SVRS,
    'RS': UFRS,
    'SC': SVRS,
    'SE': SVRS,
    'SP': UFSP,
    'TO': SVRS
}
