# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2017 All Rights Reserved. Luiz Fernando Maciel França
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2017, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
from pynfe.xml_sped.base import TagDecimal, NAMESPACE_NFE
from pynfe.nfe.manual_500 import cancnfe_310


class InfCancEnviado(cancnfe_310.InfCancEnviado):
    def __init__(self):
        super(InfCancEnviado, self).__init__()


class CancNFe(cancnfe_310.CancNFe):
    def __init__(self):
        super(CancNFe, self).__init__()
        self.versao = TagDecimal(nome='retEvento', codigo='CP01', propriedade='versao',
                                 valor='2.00', raiz='/')
        self.arquivo_esquema = 'cancNFe_v2.00.xsd'
        self.infCanc = InfCancEnviado()


class InfCancRecebido(cancnfe_310.InfCancRecebido):
    def __init__(self):
        super(InfCancRecebido, self).__init__()


class RetCancNFe(cancnfe_310.RetCancNFe):
    def __init__(self):
        super(RetCancNFe, self).__init__()
        self.versao = TagDecimal(nome='retCancNFe', codigo='CR01', propriedade='versao',
                                 valor='2.00', raiz='/')
        self.arquivo_esquema = 'retCancNFe_v2.00.xsd'
        self.infCanc = InfCancRecebido()


class ProcCancNFe(cancnfe_310.ProcCancNFe):
    def __init__(self):
        super(ProcCancNFe, self).__init__()
        self.versao = TagDecimal(nome='procCancNFe', propriedade='versao',
                                 namespace=NAMESPACE_NFE, valor='2.00', raiz='/')
        self.arquivo_esquema = 'procCancNFe_v2.00.xsd'
        self.cancNFe = CancNFe()
        self.retCancNFe = RetCancNFe()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
