# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2017 All Rights Reserved. Luiz Fernando Maciel França
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2017, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
from pynfe.xml_sped.base import NAMESPACE_NFE, TagDecimal
from pynfe.nfe.manual_500 import consrecinfe_310
from pynfe.nfe.manual_600.cancnfe import RetCancNFe
from .nfe_400 import NFe, ESQUEMA_ATUAL
import os


DIRNAME = os.path.dirname(__file__)


class ConsReciNFe(consrecinfe_310.ConsReciNFe):
    def __init__(self):
        super(ConsReciNFe, self).__init__()
        self.versao = TagDecimal(nome='consReciNFe', codigo='BP01', propriedade='versao',
                                 namespace=NAMESPACE_NFE, valor='4.00', raiz='/')
        self.caminho_esquema = os.path.join(DIRNAME, 'schema/', ESQUEMA_ATUAL + '/')
        self.arquivo_esquema = 'consReciNFe_v4.00.xsd'


class InfProt(consrecinfe_310.InfProt):
    def __init__(self):
        super(InfProt, self).__init__()


class ProtNFe(consrecinfe_310.ProtNFe):
    def __init__(self):
        super(ProtNFe, self).__init__()
        self.versao = TagDecimal(nome='protNFe', codigo='PR01', propriedade='versao',
                                 namespace=NAMESPACE_NFE, valor='4.00', raiz='/')
        self.infProt = InfProt()


class RetConsReciNFe(consrecinfe_310.RetConsReciNFe):
    def __init__(self):
        super(RetConsReciNFe, self).__init__()
        self.versao = TagDecimal(nome='retConsReciNFe', codigo='BR01', propriedade='versao',
                                 namespace=NAMESPACE_NFE, valor='4.00', raiz='/')
        self.caminho_esquema = os.path.join(DIRNAME, 'schema/', ESQUEMA_ATUAL + '/')
        self.arquivo_esquema = 'retConsReciNFe_v4.00.xsd'

    @property
    def xml(self):
        return super(RetConsReciNFe, self).xml

    @xml.setter
    def xml(self, arquivo):
        if self._le_xml(arquivo):
            self.versao.xml = arquivo
            self.tpAmb.xml = arquivo
            self.verAplic.xml = arquivo
            self.nRec.xml = arquivo
            self.cStat.xml = arquivo
            self.xMotivo.xml = arquivo
            self.cUF.xml = arquivo
            self.cMsg.xml = arquivo
            self.xMsg.xml = arquivo
            self.protNFe = self.le_grupo('//retConsReciNFe/protNFe', ProtNFe)
            for pn in self.protNFe:
                self.dic_protNFe[pn.infProt.chNFe.valor] = pn


class ProcNFe(consrecinfe_310.ProcNFe):
    def __init__(self):
        super(ProcNFe, self).__init__()
        self.versao = TagDecimal(nome='nfeProc', codigo='XR01', propriedade='versao',
                                 namespace=NAMESPACE_NFE, valor='4.00', raiz='/')
        self.NFe = NFe()
        self.protNFe = ProtNFe()
        self.cancNfe = RetCancNFe()
        self.caminho_esquema = os.path.join(DIRNAME, 'schema/', ESQUEMA_ATUAL + '/')
        self.arquivo_esquema = 'procNFe_v4.00.xsd'

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
