# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2017 All Rights Reserved. Luiz Fernando Maciel França
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2017, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
import os
from pynfe.xml_sped.base import *
from pynfe.xml_sped import *
from pynfe.nfe.manual_500 import envinfe_310
from .nfe_400 import ESQUEMA_ATUAL
from .nfe_400 import NFe
DIRNAME = os.path.dirname(__file__)


class EnviNFe(envinfe_310.EnviNFe):
    def __init__(self):
        super(EnviNFe, self).__init__()
        self.versao = TagDecimal(nome='enviNFe', codigo='AP01', propriedade='versao',
                                 namespace=NAMESPACE_NFE, valor='4.00', raiz='/')
        self.caminho_esquema = os.path.join(DIRNAME, 'schema/', ESQUEMA_ATUAL + '/')
        self.arquivo_esquema = 'enviNFe_v4.00.xsd'

    @property
    def xml(self):
        return super(EnviNFe, self).xml

    @xml.setter
    def xml(self, arquivo):
        if self._le_xml(arquivo):
            self.versao.xml = arquivo
            self.idLote.xml = arquivo
            self.indSinc.xml = arquivo
            self.NFe = self.le_grupo('//enviLote/NFe', NFe)


class InfRec(envinfe_310.InfRec):
    def __init__(self):
        super(InfRec, self).__init__()


class RetEnviNFe(envinfe_310.RetEnviNFe):
    def __init__(self):
        super(RetEnviNFe, self).__init__()
        self.versao = TagDecimal(nome='retEnviNFe', codigo='AR01', propriedade='versao',
                                 namespace=NAMESPACE_NFE, valor='4.00', raiz='/')
        self.caminho_esquema = os.path.join(DIRNAME, 'schema/', ESQUEMA_ATUAL + '/')
        self.arquivo_esquema = 'retEnviNFe_v4.00.xsd'
        self.infRec = InfRec()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
