# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2017 All Rights Reserved. Luiz Fernando Maciel França
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2017, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
import os
from pynfe.xml_sped.base import TagDecimal, NAMESPACE_NFE
from pynfe.nfe.manual_500 import inutnfe_310
from .nfe_400 import ESQUEMA_ATUAL

DIRNAME = os.path.dirname(__file__)


class InfInutEnviado(inutnfe_310.InfInutEnviado):
    def __init__(self):
        super(InfInutEnviado, self).__init__()


class InutNFe(inutnfe_310.InutNFe):
    def __init__(self):
        super(InutNFe, self).__init__()
        self.versao = TagDecimal(nome='inutNFe', codigo='DP01', propriedade='versao',
                                 namespace=NAMESPACE_NFE, valor='4.00', raiz='/')
        self.caminho_esquema = os.path.join(DIRNAME, 'schema/', ESQUEMA_ATUAL + '/')
        self.arquivo_esquema = 'inutNFe_v4.00.xsd'
        self.infInut = InfInutEnviado()


class InfInutRecebido(inutnfe_310.InfInutRecebido):
    def __init__(self):
        super(InfInutRecebido, self).__init__()
        self.infInut = InfInutEnviado()


class RetInutNFe(inutnfe_310.RetInutNFe):
    def __init__(self):
        super(RetInutNFe, self).__init__()
        self.versao = TagDecimal(nome='retInutNFe', codigo='DR01', propriedade='versao',
                                 namespace=NAMESPACE_NFE, valor='4.00', raiz='/')
        self.caminho_esquema = os.path.join(DIRNAME, 'schema', ESQUEMA_ATUAL + '/')
        self.arquivo_esquema = 'retInutNFe_v4.00.xsd'
        self.infInut = InfInutRecebido()


class ProcInutNFe(inutnfe_310.ProcInutNFe):
    def __init__(self):
        super(ProcInutNFe, self).__init__()
        self.versao = TagDecimal(nome='ProcInutNFe', propriedade='versao',
                                 namespace=NAMESPACE_NFE, valor='4.00', raiz='/')
        self.caminho_esquema = os.path.join(DIRNAME, 'schema/', ESQUEMA_ATUAL + '/')
        self.arquivo_esquema = 'procInutNFe_v4.00.xsd'
        self.inutNFe = InutNFe()
        self.retInutNFe = RetInutNFe()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
